//必巡点
import request from "@/utils/request";
// const api = "/mosty-jcgl";
const api = "/mosty-api/mosty-jcgl";
// 分页查询
export function getBxd(params) {
  return request({
    url: api + '/tbJcglBxd/queryList',
    method: 'GET',
    params
  })
}
//新增
export function addBxd(data) {
  return request({
    url: api + '/tbJcglBxd/addBxd',
    method: "post",
    data
  })
}
//修改
export function putBxd(data) {
  return request({
    url: api + '/tbJcglBxd/updateBxd',
    method: "post",
    data
  })
}
//详情
export function infoBxd(id) {
  return request({
    url: api + `/tbJcglBxd/selectById?id=${id}`,
    method: "get"
  })
}
//删除
export function delBxd(data) {
  return request({
    url: api + `/tbJcglBxd/deleteBxd`,
    method: "post",
    data
  })
}
